package com.gh.gamecenter.gamecollection.hotlist

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.constant.EntranceConsts
import com.gh.gamecenter.common.utils.updateStatusBarColor
import com.gh.gamecenter.entity.GameCollectionListEntity

/**
 * 游戏单合集详情
 */
class GameCollectionListDetailActivity : ToolBarActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        updateStatusBarColor()
    }

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor()
    }

    companion object {
        fun getIntent(context: Context, entity: GameCollectionListEntity, entrance: String): Intent {
            val bundle = Bundle()
            bundle.putParcelable(GameCollectionListEntity::class.java.simpleName, entity)
            bundle.putString(EntranceConsts.KEY_ENTRANCE, entrance)
            bundle.putString(EntranceConsts.KEY_PATH, "游戏单合集详情")
            return getTargetIntent(
                context,
                GameCollectionListDetailActivity::class.java,
                GameCollectionHotListFragment::class.java,
                bundle
            )
        }
    }
}